Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 617998 (CVE-2017-7596, CVE-2017-7597, CVE-2017-7598, CVE-2017-7599, CVE-2017-7600, CVE-2017-7601, CVE-2017-7602)

Summary: <media-libs/tiff-4.0.8: multiple UBSAN crashes
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: graphics
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://blogs.gentoo.org/ago/2017/04/01/libtiff-multiple-ubsan-crashes/
Whiteboard: B3 [glsa cve]
Package list:
Runtime testing required: ---
Bug Depends on: 618610    
Bug Blocks:    

Description Agostino Sarubbo gentoo-dev 2017-05-09 18:03:01 UTC
Details at $URL.



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2017-05-16 06:10:41 UTC
CVE-2017-7602 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7602):
  LibTIFF 4.0.7 has a signed integer overflow, which might allow remote
  attackers to cause a denial of service (application crash) or possibly have
  unspecified other impact via a crafted image.

CVE-2017-7601 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7601):
  LibTIFF 4.0.7 has a "shift exponent too large for 64-bit type long"
  undefined behavior issue, which might allow remote attackers to cause a
  denial of service (application crash) or possibly have unspecified other
  impact via a crafted image.

CVE-2017-7600 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7600):
  LibTIFF 4.0.7 has an "outside the range of representable values of type
  unsigned char" undefined behavior issue, which might allow remote attackers
  to cause a denial of service (application crash) or possibly have
  unspecified other impact via a crafted image.

CVE-2017-7599 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7599):
  LibTIFF 4.0.7 has an "outside the range of representable values of type
  short" undefined behavior issue, which might allow remote attackers to cause
  a denial of service (application crash) or possibly have unspecified other
  impact via a crafted image.

CVE-2017-7598 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7598):
  tif_dirread.c in LibTIFF 4.0.7 might allow remote attackers to cause a
  denial of service (divide-by-zero error and application crash) via a crafted
  image.

CVE-2017-7597 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7597):
  tif_dirread.c in LibTIFF 4.0.7 has an "outside the range of representable
  values of type float" undefined behavior issue, which might allow remote
  attackers to cause a denial of service (application crash) or possibly have
  unspecified other impact via a crafted image.

CVE-2017-7596 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7596):
  LibTIFF 4.0.7 has an "outside the range of representable values of type
  float" undefined behavior issue, which might allow remote attackers to cause
  a denial of service (application crash) or possibly have unspecified other
  impact via a crafted image.
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-05-24 09:19:37 UTC
All listed vulnerabilities from this bug report are fixed in v4.0.8. Stabilization will happen in bug 618610.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-09-26 22:12:02 UTC
This issue was resolved and addressed in
 GLSA 201709-27 at https://security.gentoo.org/glsa/201709-27
by GLSA coordinator Aaron Bauman (b-man).